osapi.jive.corev3.contents.Comment

Representation of a comment object. Documents, polls, direct messages, and blog posts can be commented on. Note that an object that can be commented on will have a comments resource.

Examples:
Example JSON

JSON with the most important data for a Comment.

{
 "type" : "comment",
 "status" : "published",
 "subject" : "My First Document",
 "parent" : "https://example.jiveon.com/api/core/v3/contents/1181",
 "content" : {
   "type" : "text/html",
   "text" : "<body><p>I really like your document!</p></body>"
 },
 "author" : {
   "name" : {
     "formatted" : "Administrator"
   },
   "type" : "person",
   "displayName" : "Administrator",
   "id" : "1"
 },
 "replyCount" : 0,
 "likeCount" : 0,
 "published" : "2012-07-10T21:43:47.026+0000",
 "updated" : "2012-07-10T21:43:47.026+0000"
}
Create a Comment on a Document

Read createComment() to learn how to create a new comment on a document.

Create an Author Comment on a Document

Read createComment() to learn how to create a new author comment on a document.

Properties

PropertyTypeMode †Description
authorPersonread-only↑

Author of this content object.

contentContentBodyrequired↑

Content of this content object.

highlightBodyStringread-only↑

Highlight snippet of a search match in the body or description.

Availability:

Will be present in search results only.

highlightSubjectStringread-only↑

Highlight snippet of a search match in the subject or name.

Availability:

Will be present in search results only.

highlightTagsStringread-only↑

Highlight snippet of a search match in tags.

Availability:

Will be present in search results only.

idStringread-only↑

Identifier (unique within an object type and Jive instance) of this object. This field is internal to Jive and should not be confused with contentID or placeID used in URIs.

likeCountIntegerread-only↑

Number of people who have liked this object.

Availability:

Will be present only for object types that support being liked.

parentStringrequired↑

URI of the parent place (or person, for personal content) of this content object.

parentContentSummaryread-only↑

Summary information about the content object that is the parent of this object.

Availability:

Will be present in search results only.

parentPlaceSummaryread-only↑

Summary information about the place that contains this object.

Availability:

Will be present in search results only.

publishedISO 8601 Dateread-only↑

Date and time when this content object was originally created.

replyCountIntegerread-only↑

Number of replies to this object.

Availability:

Will be present only for object types that support replies.

resourcesObjectread-only↑

Resource links (and related permissions for the requesting person) relevant to this object.

rootTypeStringread-only↑

Object type of the root content object that this comment is a direct or indirect reply to.

rootURIStringread-only↑

URI of the root content object that this comment is a direct or indirect reply to.

statusStringread-only↑

Published status of this content object.

  • incomplete - Content object is in draft mode
  • pending_approval - Content object is waiting for approval
  • rejected - Content object has been rejected for publication by an approver
  • published - Content object has been published
subjectStringread-only↑

Subject of this content object.

typeStringrequired↑

The object type for this object ("comment"). This field is required when creating new content.

updatedISO 8601 Dateread-only↑

Date and time this content object was most recently updated.

viewCountIntegerread-only↑

Number of times this content object has been viewed.

Availability:

Will be present only for objects that support view counts

†
→ Fields used by update and create operations
→ Fields used only by create operations
→ Fields not used by update or create operations

Methods

↑
createComment(comment,options)
POST /comments/1234/comments

Retrieves

Comment

Description

Add a comment about this comment.

Takes:
Options:
NameTypeRequiredDescription
fieldsStringfalseThe names of the fields to be returned
authorStringfalseFlag indicating if new comment is an author comment or a regular comment (only valid for documents). By default a regular comment will be created.
Retrieves:
  • Comment representing the recorded comment
  • ↑
    destroy()
    DELETE /comments/1234

    Retrieves

    --

    Description

    Delete this comment and any related comments and other related information.

    ↑
    get(options)
    GET /comments/1234

    Retrieves

    Comment

    Description

    Return an updated version of this comment.

    Options:
    NameTypeRequiredDescription
    fieldsStringfalseThe names of the fields to be returned
    Retrieves:
  • Comment describing this content object
  • ↑
    getComments(options)
    GET /comments/1234/comments

    Retrieves

    Comment[]

    Description

    Return a paginated list of the comments about this content object.

    Options:
    NameTypeRequiredDescription
    countIntegerfalseThe maximum number of comments to be returned (default is 25)
    anchorStringfalseoptional URI for a comment to anchor at. Specifying a anchor will try to return the page containing the anchor. If the anchor could not be found then the first page of comments will be returned.
    excludeRepliesBooleanfalseFlag indicating that replies to the direct comments about this direct message should be excluded (default is false)
    fieldsStringfalseThe names of the fields to be returned
    startIndexIntegerfalseZero-relative index of the first comment to be returned (default is zero)
    Retrieves:
  • Comment[]
  • ↑
    getLikes(options)
    GET /comments/1234/likes

    Retrieves

    Person[]

    Description

    Return a paginated list of people who like this comment.

    Options:
    NameTypeRequiredDescription
    countIntegerfalseThe maximum number of people to return (default is 25)
    fieldsStringfalseThe names of the fields to be returned
    startIndexIntegerfalseZero-relative index of the first person to return (default is 0)
    Retrieves:
  • Person[]
  • ↑
    like()
    POST /comments/1234/likes

    Retrieves

    --

    Description

    Register that the requesting person likes this comment.

    Availability:

    Must be authenticated, must not be your own comment, and must not have liked this comment already

    ↑
    toURI()

    Retrieves

    String

    Description

    Retrieves:
  • A URI representing this entity, or undefined if no such URI exists.
  • ↑
    unlike()
    DELETE /comments/1234/likes

    Retrieves

    --

    Description

    Delete the like of this comment by the requesting person.

    Availability:

    Must be authenticated, and must have liked this comment already

    ↑
    update(options)
    PUT /comments/1234

    Retrieves

    Comment

    Description

    Update the information about this comment.

    Options:
    NameTypeRequiredDescription
    fieldsStringfalseThe names of the fields to be returned
    Retrieves:
  • Comment representing the updated content object
  • Resources

    ResourceMethodReturnsDescription
    htmlGETObject↑

    Return the HTML representation of this content object.